<%
   prefix = (defined?(componentIndex)) ? "component_#{componentIndex}_" : ''
   objid = @document['id']
   cmpid = (defined?(componentIndex)) ? "#{componentIndex}" : '0'
   fieldData = @document["#{prefix}files_tesim"]
   wowzaURL = grabWowzaURL(fieldData,objid,cmpid)
   embed_url = "#{root_url}embed/#{objid}/#{cmpid}"
   file_type = grabFileType(grabFileUse)
%>
<% if wowzaURL != nil %>
  <div id="dams-audio">Loading the player...</div>

  <script type="text/javascript">
	  jwplayer("dams-audio").setup({
		  playlist:
				  [{
					  sources:
							  [
								  {file: "https://<%=wowzaURL%>/playlist.m3u8"}
							  ]
				  }],
		  width: "100%",
		  height: 40,
		  rtmp: {bufferlength: 3},
		  analytics: {enabled: false}
	  });
    jwplayer().on('ready', function() {
      resize('dams-audio');
      window.onresize = function() {
        resize('dams-audio');
      };    
    });
  </script>

<% end %>
<%= render :partial => 'admin_download', :locals => {:downloadFilePath => downloadFilePath, :embedURL => embed_url, :downloadDerivativePath => downloadDerivativePath, :format => file_type, :publicSourceDownload => publicSourceDownload  } %>
